Schema "fpml-correlation-swaps-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 9765 $

Defined Components:

  1 global element, 3 local elements, 3 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\reporting\fpml-correlation-swaps-5-5.xsd; see XML source

Includes Schema:

  fpml-eq-shared-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
amount (in correlationLeg) | Specifies, in relation to each Equity Payment Date, the Equity Amount to which the Equity Payment Date relates.
Type: | CorrelationAmount
Content: | complex, 6 elements
Defined: | locally witnin CorrelationLeg complexType; see XML source
correlation | Specifies Correlation.
Type: | Correlation
Content: | complex, 9 elements
Defined: | locally witnin CorrelationAmount complexType; see XML source
correlationLeg | Correlation Leg.
Type: | CorrelationLeg
Content: | complex, 1 attribute, 15 elements
Defined: | locally witnin CorrelationSwap complexType; see XML source
correlationSwap | Specifies the structure of a correlation swap.
Type: | CorrelationSwap
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never

Complex Type Summary
CorrelationAmount | Correlation Amount.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CorrelationLeg | A type describing return which is driven by a Correlation calculation.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CorrelationSwap | A Correlation Swap modelled using a single netted leg.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 9765 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <!--IY: ETTF pretrade IRS and CDS--> <xsd:include schemaLocation="fpml-eq-shared-5-5.xsd"/> <xsd:complexType name="CorrelationAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">Correlation Amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CalculatedAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="correlation" type="Correlation"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies Correlation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CorrelationLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing return which is driven by a Correlation calculation. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyerValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="CorrelationAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, in relation to each Equity Payment Date, the Equity Amount to which the Equity Payment Date relates. Unless otherwise specified, this term has the meaning defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CorrelationSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> A Correlation Swap modelled using a single netted leg. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NettedSwapBase"> <xsd:sequence> <xsd:element minOccurs="0" name="correlationLeg" type="CorrelationLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Correlation Leg. Correlation Buyer is deemed to be the Equity Amount Receiver, Correlation Seller is deemed to be the Equity Amount Payer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="correlationSwap" substitutionGroup="product" type="CorrelationSwap"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the structure of a correlation swap.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.